header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 8;

    width: 100%;
    height: 110px;
    display: flex;
    align-items: center;
    gap: 40px;

    padding: 24px 48px;

    background: var(--white);
    transition: 0.7s;
}

.menu-responsive{
    display: none;
}


header > img{
    height: 100%;
}

header a{
    text-transform: uppercase;
    text-decoration: none;
    font-size: 16px;

    font-weight: 700;

    display: flex;
    flex-direction: column;
    gap: 2px;
}

header a .line{
    width: 38px;
    height: 2px;
    background: transparent;
    transition: 0.5s;
}

header a .line.active{
    background: var(--orange);
}

header a:hover .line{
    background: var(--orange);
}

header a:has(ion-icon){
    margin-bottom: 6px;
}

header ion-icon{
    font-size: 32px;
    color: var(--orange);
    transition: 0.3s;
}

header a:hover ion-icon{
    font-size: 34px;
}

/* Header on scroll */

header.scrolled{
    background: rgba(0, 0, 0, 0.5);

    backdrop-filter: blur(4px);

    transition: 0.7s;
}

header.scrolled a {
    color: var(--white);
}

@media(max-width: 680px){
    header{
        flex-direction: column;
        left: -100%;

        height: 100%;

        background: var(--white);

        padding: 80px 48px;
    }

    .menu-responsive{
        position: fixed;
        left: 0;
        top: 0;
        z-index: 9;

        width: 100%;
        height: auto;
        display: flex;
        flex-direction: row;
        justify-content: space-between;

        padding: 24px 48px;
        padding-top: 56px;

        background: transparent;
    }

    .menu-responsive.scrolled{
        background: linear-gradient(180deg, rgba(0,0,0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
        background: -webkit-linear-gradient(180deg, rgba(0,0,0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
        background: -moz-linear-gradient(180deg, rgba(0,0,0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
        background: -o-linear-gradient(180deg, rgba(0,0,0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);
        background: -ms-linear-gradient(180deg, rgba(0,0,0, 0.5) 0%, rgba(0, 0, 0, 0) 100%);

        
        backdrop-filter: blur(4px);

        transition: 0.7s;
    }

    #menu-button{
        display: flex;

        width: fit-content;
        padding: 0;

        background: transparent;
    }

    header > img{
        width: 80%;
        height: 200px;
    }

    #menu-button ion-icon{
        font-size: 40px;
        color: var(--orange);
    }

    header.show{
        left: 0;
    }

    
    .responsive-img{

        display: flex;
        width: 113px;
        height: 44px;
        object-fit: contain;

    }
}